"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scope = exports.Host = exports.State = void 0;
/** The state of the settings (Saved or Published) */
var State;
(function (State) {
    /** Not relevant */
    State["NR"] = "NR";
    State["SAVED"] = "SAVED";
    State["PUBLISHED"] = "PUBLISHED";
})(State || (exports.State = State = {}));
/** The host in which the settings are displayed */
var Host;
(function (Host) {
    Host["NA"] = "NA";
    Host["VIEWER"] = "VIEWER";
    Host["BUSINESS_MANAGER"] = "BUSINESS_MANAGER";
    Host["ONE_APP"] = "ONE_APP";
})(Host || (exports.Host = Host = {}));
/** scope of settings when creating/updating; */
var Scope;
(function (Scope) {
    /** multiple instances of a tpa can share same settings; */
    Scope["APP"] = "APP";
    /** scoped to a single component of an app; */
    Scope["COMPONENT"] = "COMPONENT";
})(Scope || (exports.Scope = Scope = {}));
//# sourceMappingURL=app-settings-v1-settings-app-settings.types.js.map