"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGlobalSettings = exports.setGlobalSettings = exports.getComponentSettings = exports.setComponentSettings = void 0;
const ambassadorWixAppSettingsV1Settings = __importStar(require("./app-settings-v1-settings-app-settings.http.js"));
function setComponentSettings() {
    const payload = { componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.setComponentSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/api/v1/settings/components/{componentId}',
        pathParams: { componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.setComponentSettings = setComponentSettings;
function getComponentSettings() {
    const payload = { componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.getComponentSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/api/v1/settings/components/{componentId}',
        pathParams: { componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getComponentSettings = getComponentSettings;
function setGlobalSettings() {
    const payload = {};
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.setGlobalSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/api/v1/settings/instances',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.setGlobalSettings = setGlobalSettings;
function getGlobalSettings() {
    const payload = {};
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.getGlobalSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/api/v1/settings/instances',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getGlobalSettings = getGlobalSettings;
//# sourceMappingURL=app-settings-v1-settings-app-settings.meta.js.map