import { setComponentSettings as publicSetComponentSettings, getComponentSettings as publicGetComponentSettings, setGlobalSettings as publicSetGlobalSettings, getGlobalSettings as publicGetGlobalSettings } from './app-settings-v1-settings-app-settings.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const setComponentSettings: MaybeContext<BuildRESTFunction<typeof publicSetComponentSettings> & typeof publicSetComponentSettings>;
export declare const getComponentSettings: MaybeContext<BuildRESTFunction<typeof publicGetComponentSettings> & typeof publicGetComponentSettings>;
export declare const setGlobalSettings: MaybeContext<BuildRESTFunction<typeof publicSetGlobalSettings> & typeof publicSetGlobalSettings>;
export declare const getGlobalSettings: MaybeContext<BuildRESTFunction<typeof publicGetGlobalSettings> & typeof publicGetGlobalSettings>;
export { State, Host, Scope, } from './app-settings-v1-settings-app-settings.universal.js';
export { AppSettings, SetComponentSettingsRequest, TranslatedLanguage, LanguageKey, SetComponentSettingsResponse, SetComponentSettingsForMigrationRequest, SetComponentSettingsForMigrationResponse, GetComponentSettingsRequest, GetComponentSettingsResponse, BulkGetComponentSettingsRequest, BulkGetComponentSettingsResponse, ComponentSettings, SetGlobalSettingsRequest, SetComponentSettingsItem, SetGlobalSettingsResponse, GetGlobalSettingsRequest, GetGlobalSettingsResponse, GetComponentSettingsItem, SetGlobalSettingsForMigrationRequest, SetGlobalSettingsForMigrationResponse, GetGlobalSettingsForMigrationRequest, GetGlobalSettingsForMigrationResponse, GetRequest, GetResponse, SetRequest, SetResponse, UpdateRequest, UpdateResponse, SetComponentSettingsOptions, GetComponentSettingsOptions, SetGlobalSettingsOptions, GetGlobalSettingsOptions, } from './app-settings-v1-settings-app-settings.universal.js';
