import * as ambassadorWixAppSettingsV1SettingsTypes from './app-settings-v1-settings-app-settings.types.js';
import * as ambassadorWixAppSettingsV1SettingsUniversalTypes from './app-settings-v1-settings-app-settings.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function setComponentSettings(): __PublicMethodMetaInfo<'PATCH', {
    componentId: string;
}, ambassadorWixAppSettingsV1SettingsUniversalTypes.SetComponentSettingsRequest, ambassadorWixAppSettingsV1SettingsTypes.SetComponentSettingsRequest, ambassadorWixAppSettingsV1SettingsUniversalTypes.SetComponentSettingsResponse, ambassadorWixAppSettingsV1SettingsTypes.SetComponentSettingsResponse>;
export declare function getComponentSettings(): __PublicMethodMetaInfo<'GET', {
    componentId: string;
}, ambassadorWixAppSettingsV1SettingsUniversalTypes.GetComponentSettingsRequest, ambassadorWixAppSettingsV1SettingsTypes.GetComponentSettingsRequest, ambassadorWixAppSettingsV1SettingsUniversalTypes.GetComponentSettingsResponse, ambassadorWixAppSettingsV1SettingsTypes.GetComponentSettingsResponse>;
export declare function setGlobalSettings(): __PublicMethodMetaInfo<'PATCH', {}, ambassadorWixAppSettingsV1SettingsUniversalTypes.SetGlobalSettingsRequest, ambassadorWixAppSettingsV1SettingsTypes.SetGlobalSettingsRequest, ambassadorWixAppSettingsV1SettingsUniversalTypes.SetGlobalSettingsResponse, ambassadorWixAppSettingsV1SettingsTypes.SetGlobalSettingsResponse>;
export declare function getGlobalSettings(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixAppSettingsV1SettingsUniversalTypes.GetGlobalSettingsRequest, ambassadorWixAppSettingsV1SettingsTypes.GetGlobalSettingsRequest, ambassadorWixAppSettingsV1SettingsUniversalTypes.GetGlobalSettingsResponse, ambassadorWixAppSettingsV1SettingsTypes.GetGlobalSettingsResponse>;
