import { getComponentSettings as universalGetComponentSettings, getGlobalSettings as universalGetGlobalSettings, setComponentSettings as universalSetComponentSettings, setGlobalSettings as universalSetGlobalSettings, } from './app-settings-v1-settings-app-settings.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/app-settings' };
export function setComponentSettings(httpClient) {
    return (componentId, options) => universalSetComponentSettings(componentId, options, 
    // @ts-ignore
    { httpClient });
}
export function getComponentSettings(httpClient) {
    return (componentId, options) => universalGetComponentSettings(componentId, options, 
    // @ts-ignore
    { httpClient });
}
export function setGlobalSettings(httpClient) {
    return (options) => universalSetGlobalSettings(options, 
    // @ts-ignore
    { httpClient });
}
export function getGlobalSettings(httpClient) {
    return (options) => universalGetGlobalSettings(options, 
    // @ts-ignore
    { httpClient });
}
export { Host, Scope, State, } from './app-settings-v1-settings-app-settings.universal.js';
//# sourceMappingURL=app-settings-v1-settings-app-settings.public.js.map