import * as ambassadorWixAppSettingsV1Settings from './app-settings-v1-settings-app-settings.http.js';
export function setComponentSettings() {
    const payload = { componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.setComponentSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/api/v1/settings/components/{componentId}',
        pathParams: { componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getComponentSettings() {
    const payload = { componentId: ':componentId' };
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.getComponentSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/api/v1/settings/components/{componentId}',
        pathParams: { componentId: 'componentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function setGlobalSettings() {
    const payload = {};
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.setGlobalSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/api/v1/settings/instances',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getGlobalSettings() {
    const payload = {};
    const getRequestOptions = ambassadorWixAppSettingsV1Settings.getGlobalSettings(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/api/v1/settings/instances',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=app-settings-v1-settings-app-settings.meta.js.map